% evaluate spline 
%	based on 7 dir box spline 
%	with coefficients chosen for the 3-unit sphere % and 
% compare with values for the 3-unit sphere
    dim = 2;
    dir = 4;
    R = 1^2;
    Xi = [1 0 1 -1;
	  0 1 1 1 ];
    n = 1;  % samples
    xx = rand(dim,n)

%  spline coefficients 
    for i = 1:dim
	lft(i) = -sum(Xi(i,:)>0);
	rgt(i) = sum(Xi(i,:)<0);
    end;
    XX = [];
    for u1 = lft(1):rgt(1),
	for u2 = lft(2):rgt(2),
		u = [u1; u2];
		XX = [XX xx-u*ones(1,n)];  % note: opposite shift
	    end;
	end;
    end;
    sz = size(XX)
    fu = bxval(Xi,XX);

    sz = size(fu)
    savfu = fu;
    fval = 0*ones(1,n);	% accumulate the values
    for u1 = lft(1):rgt(1),
	for u2 = lft(2):rgt(2),
	    u = [u1; u2];
	    % pick out values corresponding to the 
	    % box spline shifted by u
	    head = fu(1:n);
	    len = length(fu);
	    fu = fu(n+1:len);
	    % weigh the values by the box spline coefficient
	    % test cases
	    %1. coeff = R	%(0, 0)
	    %2. coeff = u(1)+1/2;	%(1, 0)
	    %3. coeff = u(2)+3/2;	%(0, 1)
	    %4. coeff = u(1)*u(2) -3/4 + (u(2)+3/2)/2 + 3*(u(1)+1/2)/2;
	    %5. 
	    coeff = ( u(1)^2 )/2 + u(1)/2;
	    %6. coeff = ( u(2)^2 )/2 + 3*u(2)/2+1;
	    fval = fval + coeff*head;
	end;
    end;
    fval
    %1. shouldbe  = R
    %2. shouldbe  = xx(1,:)
    %3. shouldbe  = xx(2,:)
    %4. shouldbe  = xx(1,:) .* xx(2,:)
    %5. 
    shouldbe  = xx(1,:) .* xx(1,:)/2
    %6. shouldbe  = xx(2,:) .* xx(2,:)
    %shouldbe  = xx(1,:).^2 + xx(2,:).^2 + xx(3,:).^2 - ones(1,n)*R
