 

function mask = msxima(Xi,nh)
%
%        mask = msxima(Xi, nh)
%
% returns the (unscaled) mask associated with the directions  Xi  
% when subdividing each direction into  nh  pieces. The properly 
% scaled mask is obtained from this by division by  nh^(n-2) .
 

% C de Boor: 12 oct 90
 

mask = msmak([1;1],[1]);
[s,n] = size(Xi);
if (s~=2), error('msxima now only works for bivariate Xi .'),end
 

for j=1:n
   mask = condir(mask,Xi(:,j)*[0:(nh-1)]);
   end
 

